List Athletes in Organization
curl --request GET \
--url https://api.uplift.ai/v1/athletes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uplift.ai/v1/athletes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uplift.ai/v1/athletes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"athletes": [
{
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-11-07T05:31:56Z",
"email": "<string>",
"phone": "<string>",
"gender": "male",
"dominant_arm": "left",
"dominant_leg": "left",
"activity": "baseball",
"positions": [
"<string>"
],
"competition_level": "youth",
"height": 123,
"weight": 123,
"custom_attributes": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "BadRequest",
"message": "The request parameters are invalid. Please review the request and try again."
}{
"error": "Unauthorized",
"message": "Bearer token is missing or invalid."
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource."
}{
"error": "TooManyRequests",
"message": "The rate limit has been exceeded. Please wait and try again later."
}{
"error": "InternalServerError",
"message": "An unexpected error occurred on the server. Please try again later."
}Athletes
List Athletes
Retrieves the information of athletes in an organization.
GET
/
athletes
List Athletes in Organization
Custom Attributes
The endpoint for listing athletes allows for the use of arbitrary query parameters that you define based on your needs. For instance, if your organization uses custom attributes for athletes, you can pass those attributes directly in the query string. Examples of custom attributes might include:sport=MLBteam=XYZage=30position=center- Or any other custom attribute based on your organization’s data.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of records to skip for pagination. Default is 0.
Read more about Retrieving Data in Batches for usage examples.
Number of records to retrieve. Maximum valid value is 500. Default is 100. Use with the offset query parameter to paginate and retrieve more than the first 500 results.
Read more about Retrieving Data in Batches for usage examples.
Sort the records by the specified field in the record. Default is null.
Available options:
first_name, last_name, date_of_birth Response
Successful retrieval of athlete records.
The list of athlete records retrieved.
Show child attributes
Show child attributes